FROM gitlab-registry.cern.ch/linuxsupport/cc7-base:latest

COPY tsm-stable.repo /etc/yum.repos.d/
COPY tsm616.arm /etc/pki/

RUN yum install -y TIVsm-BA \
  && dsmcert -add -server tsm616 -file /etc/pki/tsm616.arm \
  && yum clean all

ENTRYPOINT ["/opt/tivoli/tsm/client/ba/bin/dsmc"]
